<?php


namespace Mehrab\Payment\Contracts;


use Mehrab\Payment\Models\Payment;

interface GatewayContract
{
    public function request($amount,$order_id);

    public function verify(Payment $payment);

    public function redirect();

    public function getName();
}
